Loading...
Searching...
No Matches
odf.element.Node Class Reference
Inheritance diagram for odf.element.Node:
[legend]
Collaboration diagram for odf.element.Node:
[legend]

## Public Member Functions

| hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements whatever.
| insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild.
| appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node.
| removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it.
| __str__ (self)
| __unicode__ (self)

## Public Attributes

| tagName
| The DOM does not clearly specify what to return in this case.

## Static Public Attributes

| parentNode = None
| nextSibling = None
| previousSibling = None
| doc

## Protected Member Functions

| _get_childNodes (self)
| _get_firstChild (self)
| _get_lastChild (self)

## Detailed Description

Definition at line 174 of file element.py.

## Member Function Documentation

## __str__()

odf.element.Node.__str__ | ( |  | self | ) |

Reimplemented in odf.element.Text.

Definition at line 262 of file element.py.

## __unicode__()

odf.element.Node.__unicode__ | ( |  | self | ) |

Reimplemented in odf.element.Text.

Definition at line 268 of file element.py.

## _get_childNodes()

odf.element.Node._get_childNodes | ( |  | self | ) |

protected

Definition at line 189 of file element.py.

## _get_firstChild()

odf.element.Node._get_firstChild | ( |  | self | ) |

protected

Definition at line 192 of file element.py.

## _get_lastChild()

odf.element.Node._get_lastChild | ( |  | self | ) |

protected

Definition at line 196 of file element.py.

## appendChild()

odf.element.Node.appendChild | ( |  | self,
|  |  | newChild
| ) |  |

Adds the node newChild to the end of the list of children of this node.

If the newChild is already in the tree, it is first removed.

Definition at line 230 of file element.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## hasChildNodes()

odf.element.Node.hasChildNodes | ( |  | self | ) |

Tells whether this element has any children; text nodes, subelements whatever.

Definition at line 183 of file element.py.

## insertBefore()

odf.element.Node.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Inserts the node newChild before the existing child node refChild.

If refChild is null, insert newChild at the end of the list of children.

Definition at line 203 of file element.py.

## removeChild()

odf.element.Node.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Removes the child node indicated by oldChild from the list of children, and returns it.

Definition at line 246 of file element.py.

## Member Data Documentation

## doc

odf.element.Node.doc

static

Definition at line 274 of file element.py.

## nextSibling

odf.element.Node.nextSibling = None

static

Definition at line 176 of file element.py.

## parentNode

odf.element.Node.parentNode = None

static

Definition at line 175 of file element.py.

## previousSibling

odf.element.Node.previousSibling = None

static

Definition at line 177 of file element.py.

## tagName

odf.element.Node.tagName

The DOM does not clearly specify what to return in this case.

Definition at line 205 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py